#
# spec file for package canna-yubin
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           canna-yubin
BuildRequires:  canna
Version:        0.4.0.20210430.0
Release:        bp155.2.44
URL:            https://osdn.net/projects/canna-yubin/
Source0:        https://jaist.dl.osdn.jp/%{name}/75047/%{name}-%{version}.tar.xz
Source1:        https://jaist.dl.osdn.jp/%{name}/75047/%{name}-%{version}.tar.xz.asc
Source2:        https://jaist.dl.osdn.jp/%{name}/75049/%{name}.keyring
Summary:        Postal Code Extension Dictionary for Canna
License:        GPL-2.0-or-later AND SUSE-Public-Domain
Group:          System/I18n/Japanese
BuildArch:      noarch
Requires(pre):  shadow

# AUTHORS:
# ------
#     Japanese Ministry of Posts and Telecommunications
#     Yoshito Komatsu

%description
A Japanese postal code number extension dictionary for Canna .

%prep
%setup -q

%build
%configure
# make binary dictionaries:
make

%install
%define canna_system_dic_dir %{_var}/lib/canna/dic/canna
%make_install

%pre
getent passwd wnn >/dev/null || \
	%{_sbindir}/useradd -r -o -g root -u 66 -s /bin/false \
	-c "Wnn System Account" -d %{_localstatedir}/lib/wnn wnn

%files
%defattr(-, root, root)
%doc README* AUTHORS NEWS COPYING COPYING.GPL2
%attr(-, wnn, root) %{canna_system_dic_dir}/*

%changelog
* Sat May  1 2021 bkbin005@rinku.zaq.ne.jp - 0.4.0.20210430.0
- Update to new upstream release 0.4.0.20210430.0:
  * Updated data to 2021-04-30 ver.
* Mon Mar 16 2020 bkbin005@rinku.zaq.ne.jp
- Updated upstream version to 0.4.0.20200331.0:
  * Updated data to 2020-03-31 ver.
* Sun Mar 17 2019 Jan Engelhardt <jengelh@inai.de>
- Reduce PreReq to Requires(pre).
* Sun Mar 17 2019 bkbin005@rinku.zaq.ne.jp
- Updated upstream version to 0.4.0.20190228.0:
  * Updated data to 2019-02-28 ver.
* Sat Feb  3 2018 bkbin005@rinku.zaq.ne.jp
- Updated upstream version to 0.3.1.20180131.0:
  + Updated data to 2018-01-31 ver.
* Fri May 19 2017 bkbin005@rinku.zaq.ne.jp
- Updated upstream version to 0.3.1.20170428.0:
  + Updated data to 2017-04-28 ver.
* Sat Sep  3 2016 bkbin005@rinku.zaq.ne.jp
- Updated upstream version to 0.3.1.20160831.0:
  + Updated data to 2016-08-31 ver.
* Sat Sep 19 2015 bkbin005@rinku.zaq.ne.jp
- Updated upstream version to 0.3.1.20150831.1:
  + Updated data to 2015-08-31 ver.
  + Updated URL: osdn.jp was renamed from sourceforge.jp.
- removed "Conflicts: update-canna-yubin".
  + "update-canna-yubin" has not been maintained.
* Fri Mar 20 2015 bkbin005@rinku.zaq.ne.jp
- Updated upstream version to 0.3.1.20150227.0:
  + debian/* files removed from upstream.
  + used Automake.
  + do not need nkf, now, yu2.PL can convert charset by oneself.
- Updated data to 2015-02-27 ver.
- Refectoring spec file:
  + removed BuildRequires: canna-devel, nkf.
  + used ./configure.
  + add mkdir buildroot in install section.
  + added AUTHORS NEWS COPYING COPYING.GPL2
* Fri Aug  8 2014 bkbin005@rinku.zaq.ne.jp
- New upstream https://sourceforge.jp/projects/canna-yubin/simple/ .
- Updated upstream version to 0.1.1.20140731.3.
- Updated data to 2014-07-31 ver.
- Refectoring spec file:
  + The cide ti replace the data is unnecessary
    because upstream's data is up to date.
  + I deleted the unnecessary macros.
  + The conversion process is doing in Makefile.
  + Deleted unnecessary directories from files section.
* Tue Oct  1 2013 bkbin005@rinku.zaq.ne.jp
- update ken_all.zip and jigyosyo.zip: 2013-09-30 ver.
- update canna-yubin.spec:
  * update description longer .
    Because rpmlint tells a warning message .
  * add -q option to setup macro .
    Reason:
    http://en.opensuse.org/openSUSE:Specfile_guidelines#Quiet_.25setup
  * rename from setup0 to setup
  * delete Authors information from description .
    See also:
    http://en.opensuse.org/openSUSE:Specfile_guidelines#Description
  * add "Conflicts: update-canna-yubin" .
    The update-canna-yubin is not released yet .
    But it conflicts with canna-yubin .
    See also:
    https://build.opensuse.org/package/show/home:Mitsutoshi:M17N/update-canna-yubin
  * add a comment about Source0's URL .
  * replace a macro in comments to "_" .
    Because rpmlint tells a warning message .
  * add "BuildArch: noarch" .
* Sat Aug 31 2013 bkbin005@rinku.zaq.ne.jp
- Add ken_all.zip and jigyosyo.zip: 2013-08-30 ver.
  Source0 tarball's csv data are too old (2001-11-01) .
  So I added  2013-08-30 version .
  Please see also:
  http://www.post.japanpost.jp/zipcode/dl/kogaki-zip.html
  http://www.post.japanpost.jp/zipcode/dl/jigyosyo/index-zip.html
  And I added code for replacing csv data in spec file .
- Update canna-yubin.spec:
  * fixed Source0's URL to tarball's filename .
    Because The URL was dead already .
  * added a code for replacing csv data .
  * added BuildRequires: unzip .
  * added BuildRequires: nkf .
    The iconv ended in a convert error .
    So I replaced from iconv to nkf .
* Sat Mar  2 2013 coolo@suse.com
- update license to new format
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Fri Sep 19 2003 mfabian@suse.de
- add user "wnn" in %%pre and add "Prereq: /usr/sbin/useradd"
* Wed Sep 17 2003 mfabian@suse.de
- Bugzilla #31220: fix permissions and ownerships to agree
  with the main canna package.
* Fri Jun 13 2003 mfabian@suse.de
- fix "directory is not owned by any package".
* Sun Aug 11 2002 mfabian@suse.de
- update to version 0.0.20011101
- change # neededforbuild:
  canna -> canna canna-devel canna-libs
* Sat Sep  8 2001 mfabian@suse.de
- new package: canna-yubin, version 0.0.20010601
